Skip to main content
PATCH
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
/
channel-connection
Update the channel connection settings for a specific app.
curl --request PATCH \
  --url 'https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/channel-connection?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isReady": true,
  "url": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "isReady": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

Body

application/json
isReady
boolean

Indicates whether the channel connection settings are ready.

url
string

The URL for the channel connection settings.

Response

successful operation

createdAt
string<date-time>
required

The date and time when the channel connection settings were created.

isReady
boolean
required

Indicates whether the channel connection settings are ready for use.

updatedAt
string<date-time>
required

The date and time when the channel connection settings were last updated.

url
string
required

The URL associated with the channel connection settings.

Last modified on March 30, 2026